const pool = global.pool
const fpbx = global.fpbx
const client = global.client
const log = global.log
const Discord = require("discord.js")

module.exports = {};

module.exports.execute = async (interaction) => {
	interaction.channel.send({
		embeds: [{
			"title": "The LiteNet Community PBX",
			"description": "The LiteNet Community PBX is hosted through, and is sponsored by SnakeCraft Hosting!\nOffering affordable game hosting, Discord bot hosting, and VPS services since 2020.\nGet started at https://go.litenet.tel/sch-affiliate\nCheck them out on [Discord](https://discord.gg/invite/xcnKUD8)\n\n-# The link above is an affiliate link. We will receive credits from any purchase made via this link.\n-# SnakeCraft Hosting has no administrative control over, nor has access to private information stored on LiteNet. SnakeCraft Hosting provides hosting for LiteNet free of charge. Specific details regarding their affiliate program can be found [here](https://my.snakecrafthosting.com/index.php?rp=/knowledgebase/4/Affiliate-Program-FAQs.html)",
			"color": 7955428,
			"fields": [
				{
					"name": "What's this?",
					"value": "The community PBX is a public, free to use [FreePBX](https://freepbx.org) based phone system that any server member is welcome to get a number on!\nEveryone on the system has their own 4 digit number, that can be used to call between other members on the system.\nThe PBX runs on a SnakeCraft Hosting VPS graciously provided to us at no cost!"
				},
				{
					"name": "What can it do?",
					"value": "The LiteNet phone system offers many features, including but not limited to the following:\n- Free inbound/outbound calling via +1 (610) LITENET (548-3638)\n- Private Voicemail\n- Intercom/Paging\n- Conference Rooms\n- Direct dial access to [AstroCom](https://astrocom.tel)\n- [Full extension status page](https://pbx.litenet.tel/status)\n- And more!"
				},
				{
					"name": "Privacy Policy",
					"value": "LiteNet respects the privacy of all members, and as such, only very few select staff members have access to the system files directly. Voicemails are not tracked nor listened to under any circumstances. Call logs are kept and only reviewed during investigations into violations of community guidelines, or possible illegal activity. Call recordings may be kept at the request of any individual member, and will NOT be reviewed unless prior permission was given from said member.\nAll user data may be deleted by request, or by simply running the `/delete` command.\n\nIf you believe your privacy has been violated in any way, please don't hesistate to reach out to any of our staff members!"
				},
				{
					"name": "Can it do `X`?",
					"value": "Any specific questions are welcome to be asked in our <#1102782499756724239> chat!\nIf you have a suggestion for something we should add to the PBX or Discord server, feel free to leave it in <#1148099609428762634>!"
				}
			],
			"footer": {
				"text": "Made with <3 by Chris Chrome & The LiteNet Team • Sponsored by SnakeCraft Hosting",
				"icon_url": "https://f.chrischro.me/assets/Snakecraft-Social-Media-purple-v2-smaller.png"
			},
			"image": {
				"url": "https://f.chrischro.me/assets/litenet-full.png"
			},
			"thumbnail": {
				"url": "https://f.chrischro.me/assets/Snakecraft-Social-Media-purple-v2-smaller-rounder.png"
			}
		}],
		components: [
			{
				type: 1,
				components: [
					{
						type: Discord.ComponentType.Button,
						label: "Get an Extension",
						emoji: "✅",
						style: Discord.ButtonStyle.Success,
						custom_id: "newExtension"
					},
					{
						type: Discord.ComponentType.Button,
						label: "Get your extension info",
						emoji: "ℹ️",
						style: Discord.ButtonStyle.Primary,
						custom_id: "getExtensionInfo"
					}
				]
			}
		]
	})
}